Egret社区
10银子
本帖最后由 q270274978 于 2017-12-8 10:04 编辑

游戏用的是4.0.3版本,因为之前发现4.x的引擎工具编译第三方库会有问题,所以在编译第三方库的时候,把引擎切到3.x上去编译就ok了,
昨天不小心安装了个egret launcher .... ,就是电脑上同时又之前的Egret Engine和 EgretLancher
项目编译还是项目里写的4.0.3版本编译的,但是编译第三方库的工具, egret build xxx ,还是提示
8E9ED399-CE89-498B-A4D4-6C6A270F88E8.png
按照社区中帖子的说法,单个项目用自己的引擎版本,我把项目代码中的版本号改了试了试,项目编译的引擎版本变了,但是编译第三方库的时候,还是这个提示,让升级到4.1版本,看来编译第三方库使用引擎的方式似乎还是全局用一个那。

我去改了第三方项目配置到4.1要求的试了下,报错:
2222222.png

1.我该怎么在编译第三方库的时候使用3.x的版本编译那?  以前我是在egret engine里通过切引擎的方式办到的

或者总是得要升级到用egretlauncher的, 怎么让旧项目兼容那?

2.是不是以后的都用新的第三方库文件配置的方式那,那官方文档也需要跟新那

3.egret Engine 和  egret launcher  在我的mac是否可以共存啊  ,还是安了launcher后 以前的就删了


分享到 :
0 人收藏

10 个回复

倒序浏览
app小王子  社区管理员 | 2017-12-8 11:40:10
感谢反馈,编译第三库请使用egret build --egretversion 5.0.13命令。
q270274978  登堂入室 | 2017-12-8 11:59:14
app小王子 发表于 2017-12-8 11:40
感谢反馈,编译第三库请使用egret build --egretversion 5.0.13命令。

不行那,我在第三方库放的位置  egret build sqlLite --egretverion 5.0.13   
报错
Compiling the project ...
Third party library compilation error, you can visit  http://developer.egret.com/cn/gi ... yProject/index.html  Learn more
Egret engine 4.1 use the new structure for third-party library upgrades, please upgrade your third-party library first

还是提示这个问题
q270274978  登堂入室 | 2017-12-8 12:00:36
app小王子 发表于 2017-12-8 11:40
感谢反馈,编译第三库请使用egret build --egretversion 5.0.13命令。

不行那,我在第三方库放的位置  egret build sqlLite --egretverion 5.0.13   
报错  还是提示这个问题
Compiling the project ...
Third party library compilation error, you can visit  http://developer.egret.com/cn/gi ... yProject/index.html  Learn more
Egret engine 4.1 use the new structure for third-party library upgrades, please upgrade your third-party library first
我的目录结构是这样的   EWhat那个文件夹是项目目录
3333333333.png


q270274978  登堂入室 | 2017-12-8 20:19:00
app小王子 发表于 2017-12-8 11:40
感谢反馈,编译第三库请使用egret build --egretversion 5.0.13命令。

hello~~~ @app小王子
q270274978  登堂入室 | 2017-12-8 20:19:07
app小王子 发表于 2017-12-8 11:40
感谢反馈,编译第三库请使用egret build --egretversion 5.0.13命令。

hello~~~ @app小王子
q270274978  登堂入室 | 2017-12-8 20:19:08
app小王子 发表于 2017-12-8 11:40
感谢反馈,编译第三库请使用egret build --egretversion 5.0.13命令。

hello~~~ @app小王子
q270274978  登堂入室 | 2017-12-8 20:20:24
sorry ...   论坛有bug  回复框点了回复不会消失。。。。   连点了好几次。。。。
app小王子  社区管理员 | 2017-12-8 20:32:09

试试在sqlLite 文件夹里编译
q270274978  登堂入室 | 2017-12-8 21:39:36
app小王子 发表于 2017-12-8 20:32
试试在sqlLite 文件夹里编译

并不能行那。。。。   还有什么办法吗?
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

小黑屋|京网文[2014]0791-191号|京ICP证150115号|Egret社区 ( 京ICP备14025619号 )

Powered by Discuz! X3.4 © 2001-2019 Comsenz Inc.

返回顶部